PowerTools requires iscsi package

Follow

Test Description

The tool checks whether the iSCSI package is installed, by checking the distribution's package manager.

The iSCSI package is open-iscsi (for Ubuntu and SUSE) or iscsi-initiator-utils (for Red Hat and CentOS).

The package is required on Linux systems to connect to InfiniBox systems using iSCSI.

 

This test case fails if:

The package is not installed.

This test case passes if:

The package is installed.

 

How to fix this test

Automatic fix

The tool attempts to install the package by installing the package using the distribution's package manager.

Manual fix

Install the package through the distribution's package manager:

  
Ubuntu
apt-get install -y open-iscsi
Red-Hat based
yum install -y iscsi-initiator-utils
SUSE
zypper install -y open-iscsi

 

Applies to

  • Ubutnu
  • SUSE
  • Red Hat
  • CentOS

 


Comments